]> arthur.barton.de Git - backup-script.git/blobdiff - bin/backup-script-wrapper
backup-script-wrapper: Return exit code of backup-script
[backup-script.git] / bin / backup-script-wrapper
index 692c758bd8c377da8c17ff615f7b6ddf30c53f7a..fbd061f6c919b37e7ae162defdb5202e4d7b91c1 100755 (executable)
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 #
 # backup-script system for cloning systems using rsync
 # Copyright (c)2008-2015 Alexander Barton, alex@barton.de
 # Please read the file COPYING, README and AUTHORS for more information.
 #
 
-[ -n "$MAILTO" ] || MAILTO="logcheck"
+if [ -z "$MAILTO" ]; then
+       if id "logcheck" >/dev/null 2>&1; then
+               MAILTO="logcheck"
+       elif fgrep "logcheck:" /etc/aliases >/dev/null 2>&1; then
+               MAILTO="logcheck"
+       else
+               MAILTO="root"
+       fi
+fi
 
 NAME="backup-script"
 HOST=`hostname`
 TMP=`mktemp /tmp/$NAME.XXXXXXXX` || exit 11
+LOGFILE="/var/log/backup-script.log"
 
 PATH="$PATH:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin"
 export PATH
 
-echo "$NAME Report" >"$TMP"
-echo >>"$TMP"
-echo " - Host: `hostname -f`" >>"$TMP"
-echo " - User: `id -un`" >>"$TMP"
-echo >>"$TMP"
+exec >"$TMP" 2>&1
 
-`dirname "$0"`/backup-script $* >>"$TMP" 2>&1
+echo "$NAME Report"
+echo
+echo " - Host: `hostname -f`"
+echo " - User: `id -un`"
+echo
+
+if [ -w "$LOGFILE" ]; then
+       "$(dirname "$0")/backup-script" "$@" | tee -a "$LOGFILE"
+       r=${PIPESTATUS[0]}
+else
+       "$(dirname "$0")/backup-script" "$@"
+       r=$?
+       echo "(Can't write logfile: \"$LOGFILE\"!)"
+fi
 
 cat "$TMP" | mail -s "$HOST: $NAME results" "$MAILTO"
 
 rm -f "$TMP"
+exit $r
 
 # -eof-